package com.ruoyi.basetyre.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 轮胎基础信息对象 base_tyre
 * 
 * @author Yangwl
 * @date 2023-02-06
 */
public class BaseTyre extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String id;

    /** 轮胎厂编码 */
    @Excel(name = "轮胎厂编码")
    private String tyreFacCode;

    /** 企业编码 */
    @Excel(name = "企业编码")
    private String companyCode;

    /** 车辆ID */
    @Excel(name = "车辆ID")
    private String carId;

    /** 车牌号 */
    @Excel(name = "车牌号")
    private String carLicense;

    /** 轮胎编号 */
    @Excel(name = "轮胎编号")
    private String tureCode;

    /** 轮胎型号 */
    @Excel(name = "轮胎型号")
    private String tureModel;

    /** 轮胎型号表ID */
    @Excel(name = "轮胎型号表ID")
    private String tureModelId;

    /** 品牌ID */
    @Excel(name = "品牌ID")
    private String tureBrandId;

    /** RFID */
    @Excel(name = "RFID")
    private String tyreRfid;

    /** 轮位（拼四段式1-1-1-21）第一轴左侧外，总第21个胎 */
    @Excel(name = "轮位", readConverterExp = "拼=四段式1-1-1-21")
    private String tyrePosition;

    /** 当前轮胎传感器ID */
    @Excel(name = "当前轮胎传感器ID")
    private String sensorId;

    /** 当前花纹深度 */
    @Excel(name = "当前花纹深度")
    private Long currentTextureDepth;

    /** 状态 */
    @Excel(name = "状态")
    private Long state;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Long isDelete;

    /** 创建者ID */
    @Excel(name = "创建者ID")
    private String createId;

    /** 创建者姓名 */
    @Excel(name = "创建者姓名")
    private String createName;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date modifyTime;

    /** 修改者ID */
    @Excel(name = "修改者ID")
    private String modifyId;

    /** 修改者账号 */
    @Excel(name = "修改者账号")
    private String modifyBy;

    /** 编辑者姓名 */
    @Excel(name = "编辑者姓名")
    private String modifyName;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setTyreFacCode(String tyreFacCode) 
    {
        this.tyreFacCode = tyreFacCode;
    }

    public String getTyreFacCode() 
    {
        return tyreFacCode;
    }
    public void setCompanyCode(String companyCode) 
    {
        this.companyCode = companyCode;
    }

    public String getCompanyCode() 
    {
        return companyCode;
    }
    public void setCarId(String carId) 
    {
        this.carId = carId;
    }

    public String getCarId() 
    {
        return carId;
    }
    public void setCarLicense(String carLicense) 
    {
        this.carLicense = carLicense;
    }

    public String getCarLicense() 
    {
        return carLicense;
    }
    public void setTureCode(String tureCode) 
    {
        this.tureCode = tureCode;
    }

    public String getTureCode() 
    {
        return tureCode;
    }
    public void setTureModel(String tureModel) 
    {
        this.tureModel = tureModel;
    }

    public String getTureModel() 
    {
        return tureModel;
    }
    public void setTureModelId(String tureModelId) 
    {
        this.tureModelId = tureModelId;
    }

    public String getTureModelId() 
    {
        return tureModelId;
    }
    public void setTureBrandId(String tureBrandId) 
    {
        this.tureBrandId = tureBrandId;
    }

    public String getTureBrandId() 
    {
        return tureBrandId;
    }
    public void setTyreRfid(String tyreRfid) 
    {
        this.tyreRfid = tyreRfid;
    }

    public String getTyreRfid() 
    {
        return tyreRfid;
    }
    public void setTyrePosition(String tyrePosition) 
    {
        this.tyrePosition = tyrePosition;
    }

    public String getTyrePosition() 
    {
        return tyrePosition;
    }
    public void setSensorId(String sensorId) 
    {
        this.sensorId = sensorId;
    }

    public String getSensorId() 
    {
        return sensorId;
    }
    public void setCurrentTextureDepth(Long currentTextureDepth) 
    {
        this.currentTextureDepth = currentTextureDepth;
    }

    public Long getCurrentTextureDepth() 
    {
        return currentTextureDepth;
    }
    public void setState(Long state) 
    {
        this.state = state;
    }

    public Long getState() 
    {
        return state;
    }
    public void setIsDelete(Long isDelete) 
    {
        this.isDelete = isDelete;
    }

    public Long getIsDelete() 
    {
        return isDelete;
    }
    public void setCreateId(String createId) 
    {
        this.createId = createId;
    }

    public String getCreateId() 
    {
        return createId;
    }
    public void setCreateName(String createName) 
    {
        this.createName = createName;
    }

    public String getCreateName() 
    {
        return createName;
    }
    public void setModifyTime(Date modifyTime) 
    {
        this.modifyTime = modifyTime;
    }

    public Date getModifyTime() 
    {
        return modifyTime;
    }
    public void setModifyId(String modifyId) 
    {
        this.modifyId = modifyId;
    }

    public String getModifyId() 
    {
        return modifyId;
    }
    public void setModifyBy(String modifyBy) 
    {
        this.modifyBy = modifyBy;
    }

    public String getModifyBy() 
    {
        return modifyBy;
    }
    public void setModifyName(String modifyName) 
    {
        this.modifyName = modifyName;
    }

    public String getModifyName() 
    {
        return modifyName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("tyreFacCode", getTyreFacCode())
            .append("companyCode", getCompanyCode())
            .append("carId", getCarId())
            .append("carLicense", getCarLicense())
            .append("tureCode", getTureCode())
            .append("tureModel", getTureModel())
            .append("tureModelId", getTureModelId())
            .append("tureBrandId", getTureBrandId())
            .append("tyreRfid", getTyreRfid())
            .append("tyrePosition", getTyrePosition())
            .append("sensorId", getSensorId())
            .append("currentTextureDepth", getCurrentTextureDepth())
            .append("state", getState())
            .append("isDelete", getIsDelete())
            .append("createTime", getCreateTime())
            .append("createId", getCreateId())
            .append("createBy", getCreateBy())
            .append("createName", getCreateName())
            .append("modifyTime", getModifyTime())
            .append("modifyId", getModifyId())
            .append("modifyBy", getModifyBy())
            .append("modifyName", getModifyName())
            .toString();
    }
}
